use std::collections::HashMap;

use crate::path::{KeyPath, KnobPath};
use crate::style::{KeyStyle, KnobStyle};

#[derive(Debug)]
pub struct Key {
    pub path: KeyPath,
    pub base_style: KeyStyle,
    pub style: Option<KeyStyle>,
}

#[derive(Debug)]
pub struct Knob {
    pub path: KnobPath,
    pub base_style: KnobStyle,
    pub style: Option<KnobStyle>,
    pub value: Option<f32>,
}

pub type KeyStyleByStateMap<State> = HashMap<State, KeyStyle>;
pub type KnobStyleByStateMap<State> = HashMap<State, KnobStyle>;
